Show / Hide Table of Contents

# Class OpenIddictApplicationStoreResolver

Exposes a method allowing to resolve an application store.

##### Inheritance

System.Object
OpenIddictApplicationStoreResolver

###### Namespace: OpenIddict.Core

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictApplicationStoreResolver : IOpenIddictApplicationStoreResolver

### Constructors

#### OpenIddictApplicationStoreResolver(IServiceProvider)

##### Declaration

    public OpenIddictApplicationStoreResolver(IServiceProvider provider)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IServiceProvider | provider |

### Methods

#### Get<TApplication>()

Returns an application store compatible with the specified application type or throws an System.InvalidOperationException if no store can be built using the specified type.

##### Declaration

    public IOpenIddictApplicationStore<TApplication> Get<TApplication>()
        where TApplication : class

##### Returns

Type | Description
--- | ---
IOpenIddictApplicationStore<TApplication> | An .

##### Type Parameters

Name | Description
--- | ---
TApplication | The type of the Application entity.